Subject: bug#25395: 25.1; Emacs/W3 crashes on every url with elisp error (void-variable w3--args)

From: Stefan Kangas <[email-masked]>
Date: Wed, 22 Jan 2020 08:58:14 +0100

Stefan Monnier <[email-masked]> writes:

>> Does the above mean that you object to removing w3 from ELPA?
>
> I don't object to moving it out of GNU ELPA, but I'd like to keep it in
> elpa.git.

Thanks.  I could not find any code in elpa.git relating to the
package, though?  "find -iname '*w3*'" gives me nothing.

Is the attached patch sufficient to remove it from GNU ELPA?

Best regards,
Stefan Kangas

>From c60c9a76d7f6aa44d32471ebbee044d84850151c Mon Sep 17 00:00:00 2001
From: Stefan Kangas <[email-masked]>
Date: Wed, 22 Jan 2020 08:55:13 +0100
Subject: [PATCH] Drop the w3 package

* externals-list: Drop the w3 package.  It is unmaintained, and unfortunately
nonfunctional in its current state.  (Bug#25395)
---
 externals-list | 1 -
 1 file changed, 1 deletion(-)

diff --git a/externals-list b/externals-list
index 2996b9e97..514c8b131 100644
--- a/externals-list
+++ b/externals-list
@@ -148,7 +148,6 @@
  ("tramp"		:external "https://git.savannah.gnu.org/cgit/tramp.git/?h=elpa")
  ;;FIXME:("vlf"		:subtree ??)
  ("verilog-mode"        :core "lisp/progmodes/verilog-mode.el")
- ("w3"			:external nil)
  ("wcheck-mode"		:subtree "https://github.com/tlikonen/wcheck-mode.git")
  ("web-server"		:subtree "https://github.com/eschulte/emacs-web-server.git")
  ("webfeeder"		:external "https://gitlab.com/ambrevar/emacs-webfeeder.git")
-- 
2.20.1